<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Smart Folder:  Fichier source de inc/search_engine.h</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Smart Folder
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">Un répertoire virtuel de recherche de fichiers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('search__engine_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">search_engine.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="search__engine_8h.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="parser_8h.html">parser.h</a>&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="hash__table_8h.html">hash_table.h</a>&quot;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="list_8h.html">list.h</a>&quot;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="logger_8h.html">logger.h</a>&quot;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#ifndef _SEARCH_ENGINE_H_</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="search__engine_8h.html#a3aba01b4981cc93927e360669ffbd51e">   19</a></span>&#160;<span class="preprocessor">#define _SEARCH_ENGINE_H_</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="search__engine_8h.html#a9da28e6f2a690b177b882e1f445ffd61">   25</a></span>&#160;<span class="preprocessor">#define CHECK_ERR(expr, msg) if (expr) {logger(LOG_DEBUG, stderr, &quot;%s\n&quot;, msg);}</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="search__engine_8h.html#a30362161c93e3f1a4ee4c673f535b5a8">   31</a></span>&#160;<span class="preprocessor">#define LENGTH 1000</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keywordtype">char</span>* <a class="code" href="search__engine_8h.html#a6d31da2b660e047e17756cb17cd630e8">get_filename</a>(<span class="keywordtype">char</span>* path);</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keywordtype">void</span> <a class="code" href="search__engine_8h.html#a3312a7e6e67331d14d8f822365633314">crawler</a>(<a class="code" href="structtable__t.html">table_t</a>* table, <span class="keywordtype">char</span>* <a class="code" href="hash__table_8h.html#a5420849a0d0b03ddc3afbba911fd301a">search_path</a>);</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<a class="code" href="structtable__t.html">table_t</a>* <a class="code" href="search__engine_8h.html#a15fb5d1a43443dc75286e2bc71bc799d">filter</a>(<a class="code" href="structtable__t.html">table_t</a>* table, <a class="code" href="structexpression__t.html">expression_t</a>* strct);</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keywordtype">void</span> <a class="code" href="search__engine_8h.html#a327d92026a0d9efe3e5baddddc268763">linker</a>(<a class="code" href="structtable__t.html">table_t</a>* oldtable, <a class="code" href="structtable__t.html">table_t</a>* newtable, <a class="code" href="structtable__t.html">table_t</a>* resolved_table, <span class="keywordtype">char</span>* dir_path);</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keywordtype">void</span> <a class="code" href="search__engine_8h.html#a9a9963268ebccbcbb40d73c5ad015fa9">search_engine</a>(<span class="keywordtype">char</span>* dir_name, <span class="keywordtype">char</span>* <a class="code" href="hash__table_8h.html#a5420849a0d0b03ddc3afbba911fd301a">search_path</a>, <a class="code" href="structexpression__t.html">expression_t</a>* strct);</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="search__engine_8h_html_a327d92026a0d9efe3e5baddddc268763"><div class="ttname"><a href="search__engine_8h.html#a327d92026a0d9efe3e5baddddc268763">linker</a></div><div class="ttdeci">void linker(table_t *oldtable, table_t *newtable, table_t *resolved_table, char *dir_path)</div><div class="ttdoc">Vérification si le nombre num est premier. </div><div class="ttdef"><b>Definition:</b> linker.c:54</div></div>
<div class="ttc" id="parser_8h_html"><div class="ttname"><a href="parser_8h.html">parser.h</a></div><div class="ttdoc">C&amp;#39;est le header du fichier parser.c. </div></div>
<div class="ttc" id="structexpression__t_html"><div class="ttname"><a href="structexpression__t.html">expression_t</a></div><div class="ttdoc">Représente les critères de recherche et l&amp;#39;expression booléenne combinant les différents critères (sou...</div><div class="ttdef"><b>Definition:</b> parser.h:94</div></div>
<div class="ttc" id="list_8h_html"><div class="ttname"><a href="list_8h.html">list.h</a></div><div class="ttdoc">C&amp;#39;est le header du fichier list.c. </div></div>
<div class="ttc" id="structtable__t_html"><div class="ttname"><a href="structtable__t.html">table_t</a></div><div class="ttdoc">Représente la table de hash. </div><div class="ttdef"><b>Definition:</b> hash_table.h:35</div></div>
<div class="ttc" id="hash__table_8h_html_a5420849a0d0b03ddc3afbba911fd301a"><div class="ttname"><a href="hash__table_8h.html#a5420849a0d0b03ddc3afbba911fd301a">search_path</a></div><div class="ttdeci">int search_path(table_t *table, char *path)</div><div class="ttdoc">Recherche d&amp;#39;un path dans la table de hachage. </div><div class="ttdef"><b>Definition:</b> hash_table.c:150</div></div>
<div class="ttc" id="search__engine_8h_html_a6d31da2b660e047e17756cb17cd630e8"><div class="ttname"><a href="search__engine_8h.html#a6d31da2b660e047e17756cb17cd630e8">get_filename</a></div><div class="ttdeci">char * get_filename(char *path)</div><div class="ttdoc">Retourne le nom du fichier. </div><div class="ttdef"><b>Definition:</b> crawler.c:17</div></div>
<div class="ttc" id="logger_8h_html"><div class="ttname"><a href="logger_8h.html">logger.h</a></div><div class="ttdoc">C&amp;#39;est le header du fichier logger.c. </div></div>
<div class="ttc" id="hash__table_8h_html"><div class="ttname"><a href="hash__table_8h.html">hash_table.h</a></div><div class="ttdoc">C&amp;#39;est le header du fichier hash_table.c. </div></div>
<div class="ttc" id="search__engine_8h_html_a9a9963268ebccbcbb40d73c5ad015fa9"><div class="ttname"><a href="search__engine_8h.html#a9a9963268ebccbcbb40d73c5ad015fa9">search_engine</a></div><div class="ttdeci">void search_engine(char *dir_name, char *search_path, expression_t *strct)</div><div class="ttdoc">Moteur de recherche. </div><div class="ttdef"><b>Definition:</b> search_engine.c:52</div></div>
<div class="ttc" id="search__engine_8h_html_a15fb5d1a43443dc75286e2bc71bc799d"><div class="ttname"><a href="search__engine_8h.html#a15fb5d1a43443dc75286e2bc71bc799d">filter</a></div><div class="ttdeci">table_t * filter(table_t *table, expression_t *strct)</div><div class="ttdoc">Filtrer la table de hachage. </div><div class="ttdef"><b>Definition:</b> filter.c:367</div></div>
<div class="ttc" id="search__engine_8h_html_a3312a7e6e67331d14d8f822365633314"><div class="ttname"><a href="search__engine_8h.html#a3312a7e6e67331d14d8f822365633314">crawler</a></div><div class="ttdeci">void crawler(table_t *table, char *search_path)</div><div class="ttdoc">Une fonction recursive qui va parcourir tous les fichiers sous search_path puis les insère dans une t...</div><div class="ttdef"><b>Definition:</b> crawler.c:41</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_bfccd401955b95cf8c75461437045ac0.html">inc</a></li><li class="navelem"><a class="el" href="search__engine_8h.html">search_engine.h</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
